Skip to main content
GET
Get a virtual account

Authorizations

Api-Access-Key
string
header
required

An API key associated with a security role

Path Parameters

id
string
required

The ID of the virtual account to retrieve

Response

The requested virtual account

customerId
string
required

The program customer this virtual account is associated with.

Example:

"cust_9f8e7d6c"

id
string
required

The unique identifier for this virtual account.

Example:

"va_1a2b3c4d"

walletId
string
required

The ID of the wallet this virtual account is provisioned on.

Example:

"1c920f4241b78a1d483a29f3c24b6c4c"

closedAt
string<date-time> | null

When this virtual account was closed. Absent while the virtual account is open.

Example:

"2019-01-03T12:34:56.000Z"

depositInstruction
VirtualAccountDepositInstruction · object | null

Bank deposit details for this virtual account. Absent until provisioning has completed.